Package io.flutter.embedding.engine.systemchannels

## Enum PlatformChannel.HapticFeedbackType

- java.lang.Object
- - java.lang.Enum<PlatformChannel.HapticFeedbackType>
  - - io.flutter.embedding.engine.systemchannels.PlatformChannel.HapticFeedbackType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlatformChannel.HapticFeedbackType>`
  Enclosing class:
    PlatformChannel

      public static enum PlatformChannel.HapticFeedbackType
      extends Enum<PlatformChannel.HapticFeedbackType>

  The types of haptic feedback that the Android OS can generate on behalf of an application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HEAVY_IMPACT` |
    `LIGHT_IMPACT` |
    `MEDIUM_IMPACT` |
    `SELECTION_CLICK` |
    `STANDARD` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlatformChannel.HapticFeedbackType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlatformChannel.HapticFeedbackType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final PlatformChannel.HapticFeedbackType STANDARD

    - #### LIGHT_IMPACT

          public static final PlatformChannel.HapticFeedbackType LIGHT_IMPACT

    - #### MEDIUM_IMPACT

          public static final PlatformChannel.HapticFeedbackType MEDIUM_IMPACT

    - #### HEAVY_IMPACT

          public static final PlatformChannel.HapticFeedbackType HEAVY_IMPACT

    - #### SELECTION_CLICK

          public static final PlatformChannel.HapticFeedbackType SELECTION_CLICK

  - ### Method Detail

    - #### values

          public static PlatformChannel.HapticFeedbackType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlatformChannel.HapticFeedbackType c : PlatformChannel.HapticFeedbackType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlatformChannel.HapticFeedbackType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null